package odbc.com.daniminguet.es;

import java.sql.Statement;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;

public class Odbc {
	public static void main(String[] args) {
		final String USUARIO = "Minguet";
		final String CONTRASENYA = "1234";
		Connection conexion;
	    Statement sentencia;
	    
	    System.out.println( "Iniciando programa." );
	    
	    try {
	      Class.forName( "sun.jdbc.odbc.JdbcOdbcDriver" );
	    } catch( Exception e ) {
	      System.out.println( "No se pudo cargar el puente JDBC-ODBC." );
	      return;
	    }
	    try {
	      conexion = DriverManager.getConnection( "jdbc:odbc:pruebaej9", USUARIO, CONTRASENYA);
	      sentencia = conexion.createStatement();
	      try {
	        sentencia.execute( "DROP TABLE PERSONAS" );
	      } catch( SQLException e ) {};
	      sentencia.execute( "CREATE TABLE PERSONAS ("+
	        " NOMBRE VARCHAR(15) NOT NULL, " +
	        " APELLIDOS VARCHAR(30) NOT NULL, " +
	        " CUMPLEAÑOS DATETIME) " );
	      sentencia.execute( "INSERT INTO PERSONAS " +
	        "VALUES('Alberto','Vargas','04/12/1998')" );
	      sentencia.execute( "INSERT INTO PERSONAS " +
	        "VALUES('Paco','Hals','22/02/2022')" );
	      sentencia.execute( "INSERT INTO PERSONAS " +
	        "VALUES('Messi','Rve', '31/01/2021')" );
	    } catch( Exception e ) {
	      System.out.println( e );
	      return;
	    }
	  System.out.println("Creacion finalizada.");
	}
}
